SpringInvoker.Slf4jBindingAwareClassLoader (Grails 5.3.2)

Package: org.grails.cli.boot

## [Groovy] Class SpringInvoker.Slf4jBindingAwareClassLoader

- org.grails.cli.boot.SpringInvoker.Slf4jBindingAwareClassLoader

-     @groovy.transform.InheritConstructors
      static class SpringInvoker.Slf4jBindingAwareClassLoader
      extends java.net.URLClassLoader

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `SpringInvoker.Slf4jBindingAwareClassLoader.1` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SpringInvoker.Slf4jBindingAwareClassLoader ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.Enumeration<java.net.URL>` | `getResources(java.lang.String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.net.URLClassLoader` | `java.net.URLClassLoader#newInstance([Ljava.net.URL;, java.lang.ClassLoader), java.net.URLClassLoader#newInstance([Ljava.net.URL;), java.net.URLClassLoader#getResourceAsStream(java.lang.String), java.net.URLClassLoader#findResource(java.lang.String), java.net.URLClassLoader#findResources(java.lang.String), java.net.URLClassLoader#close(), java.net.URLClassLoader#getURLs(), java.net.URLClassLoader#loadClass(java.lang.String), java.net.URLClassLoader#getSystemClassLoader(), java.net.URLClassLoader#getResource(java.lang.String), java.net.URLClassLoader#getSystemResourceAsStream(java.lang.String), java.net.URLClassLoader#getSystemResource(java.lang.String), java.net.URLClassLoader#getResources(java.lang.String), java.net.URLClassLoader#getSystemResources(java.lang.String), java.net.URLClassLoader#getParent(), java.net.URLClassLoader#setDefaultAssertionStatus(boolean), java.net.URLClassLoader#setPackageAssertionStatus(java.lang.String, boolean), java.net.URLClassLoader#setClassAssertionStatus(java.lang.String, boolean), java.net.URLClassLoader#clearAssertionStatus(), java.net.URLClassLoader#wait(long, int), java.net.URLClassLoader#wait(long), java.net.URLClassLoader#wait(), java.net.URLClassLoader#equals(java.lang.Object), java.net.URLClassLoader#toString(), java.net.URLClassLoader#hashCode(), java.net.URLClassLoader#getClass(), java.net.URLClassLoader#notify(), java.net.URLClassLoader#notifyAll()`

- - ### Constructor Detail

    - #### SpringInvoker.Slf4jBindingAwareClassLoader()

  - ### Method Detail

    - #### @java.lang.Override java.util.Enumeration<java.net.URL> getResources(java.lang.String name)